#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
rm -rf spring-integration
mkdir spring-integration
cd spring-integration

for p in spring-integration-amqp \
 spring-integration-core \
 spring-integration-event \
 spring-integration-feed \
 spring-integration-file \
 spring-integration-ftp \
 spring-integration-gemfire \
 spring-integration-groovy \
 spring-integration-http \
 spring-integration-ip \
 spring-integration-jdbc \
 spring-integration-jms \
 spring-integration-jmx \
 spring-integration-jpa \
 spring-integration-mail \
 spring-integration-mongodb \
 spring-integration-redis \
 spring-integration-rmi \
 spring-integration-scripting \
 spring-integration-security \
 spring-integration-sftp \
 spring-integration-stream \
 spring-integration-syslog \
 spring-integration-test \
 spring-integration-twitter \
 spring-integration-ws \
 spring-integration-xml \
 spring-integration-xmpp; do
  mkdir -p ${p}
  pushd ${p}
   wget -O pom.xml http://repo1.maven.org/maven2/org/springframework/integration/${p}/${VERSION}/${p}-${VERSION}.pom
  popd
done

tar cJf ../spring-integration-poms-${VERSION}.tar.xz *
